Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce
Class X509V2CRLGenerator

    java.lang.Object
      org.bouncycastle.jce.X509V2CRLGenerator

Deprecated. use the equivalent class in org.bouncycastle.x509

public class X509V2CRLGenerator
extends java.lang.Object

class to produce an X.509 Version 2 CRL.

Constructor Summary
`X509V2CRLGenerator()` Deprecated.

Method Summary
`void` | `addCRLEntry(java.math.BigInteger userCertificate, java.util.Date revocationDate, int reason)` Deprecated. Reason being as indicated by ReasonFlags, i.e.
`void` | `addExtension(DERObjectIdentifier OID, boolean critical, byte[] value)` Deprecated. add a given extension field for the standard extensions tag (tag 0)
`void` | `addExtension(DERObjectIdentifier OID, boolean critical, DEREncodable value)` Deprecated. add a given extension field for the standard extensions tag (tag 0)
`void` | `addExtension(java.lang.String OID, boolean critical, byte[] value)` Deprecated. add a given extension field for the standard extensions tag (tag 0)
`void` | `addExtension(java.lang.String OID, boolean critical, DEREncodable value)` Deprecated. add a given extension field for the standard extensions tag (tag 3)
`java.security.cert.X509CRL` | `generateX509CRL(java.security.PrivateKey key)` Deprecated. generate an X509 CRL, based on the current issuer and subject using the default provider "BC".
`java.security.cert.X509CRL` | `generateX509CRL(java.security.PrivateKey key, java.security.SecureRandom random)` Deprecated. generate an X509 CRL, based on the current issuer and subject using the default provider "BC" and an user defined SecureRandom object as source of randomness.
`java.security.cert.X509CRL` | `generateX509CRL(java.security.PrivateKey key, java.lang.String provider)` Deprecated. generate an X509 certificate, based on the current issuer and subject using the passed in provider for the signing.
`java.security.cert.X509CRL` | `generateX509CRL(java.security.PrivateKey key, java.lang.String provider, java.security.SecureRandom random)` Deprecated. generate an X509 CRL, based on the current issuer and subject, using the passed in provider for the signing.
`void` | `reset()` Deprecated. reset the generator
`void` | `setIssuerDN(X509Name issuer)` Deprecated. Set the issuer distinguished name - the issuer is the entity whose private key is used to sign the certificate.
`void` | `setNextUpdate(java.util.Date date)` Deprecated.
`void` | `setSignatureAlgorithm(java.lang.String signatureAlgorithm)` Deprecated.
`void` | `setThisUpdate(java.util.Date date)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509V2CRLGenerator

    public X509V2CRLGenerator()

  Deprecated.

Method Detail

### reset

    public void reset()

  Deprecated.
  reset the generator

### setIssuerDN

    public void setIssuerDN(X509Name issuer)

  Deprecated.
  Set the issuer distinguished name - the issuer is the entity whose private key is used to sign the certificate.

### setThisUpdate

    public void setThisUpdate(java.util.Date date)

  Deprecated.

### setNextUpdate

    public void setNextUpdate(java.util.Date date)

  Deprecated.

### addCRLEntry

    public void addCRLEntry(java.math.BigInteger userCertificate,
                            java.util.Date revocationDate,
                            int reason)

  Deprecated.
  Reason being as indicated by ReasonFlags, i.e. ReasonFlags.KEY_COMPROMISE or 0 if ReasonFlags are not to be used

### setSignatureAlgorithm

    public void setSignatureAlgorithm(java.lang.String signatureAlgorithm)

  Deprecated.

### addExtension

    public void addExtension(java.lang.String OID,
                             boolean critical,
                             DEREncodable value)

  Deprecated.
  add a given extension field for the standard extensions tag (tag 3)

### addExtension

    public void addExtension(DERObjectIdentifier OID,
                             boolean critical,
                             DEREncodable value)

  Deprecated.
  add a given extension field for the standard extensions tag (tag 0)

### addExtension

    public void addExtension(java.lang.String OID,
                             boolean critical,
                             byte[] value)

  Deprecated.
  add a given extension field for the standard extensions tag (tag 0)

### addExtension

    public void addExtension(DERObjectIdentifier OID,
                             boolean critical,
                             byte[] value)

  Deprecated.
  add a given extension field for the standard extensions tag (tag 0)

### generateX509CRL

    public java.security.cert.X509CRL generateX509CRL(java.security.PrivateKey key)
                                               throws java.lang.SecurityException,
                                                      java.security.SignatureException,
                                                      java.security.InvalidKeyException

  Deprecated.
  generate an X509 CRL, based on the current issuer and subject using the default provider "BC".

  Throws:
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generateX509CRL

    public java.security.cert.X509CRL generateX509CRL(java.security.PrivateKey key,
                                                      java.security.SecureRandom random)
                                               throws java.lang.SecurityException,
                                                      java.security.SignatureException,
                                                      java.security.InvalidKeyException

  Deprecated.
  generate an X509 CRL, based on the current issuer and subject using the default provider "BC" and an user defined SecureRandom object as source of randomness.

  Throws:
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generateX509CRL

    public java.security.cert.X509CRL generateX509CRL(java.security.PrivateKey key,
                                                      java.lang.String provider)
                                               throws java.security.NoSuchProviderException,
                                                      java.lang.SecurityException,
                                                      java.security.SignatureException,
                                                      java.security.InvalidKeyException

  Deprecated.
  generate an X509 certificate, based on the current issuer and subject using the passed in provider for the signing.

  Throws:
    `java.security.NoSuchProviderException`
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

### generateX509CRL

    public java.security.cert.X509CRL generateX509CRL(java.security.PrivateKey key,
                                                      java.lang.String provider,
                                                      java.security.SecureRandom random)
                                               throws java.security.NoSuchProviderException,
                                                      java.lang.SecurityException,
                                                      java.security.SignatureException,
                                                      java.security.InvalidKeyException

  Deprecated.
  generate an X509 CRL, based on the current issuer and subject, using the passed in provider for the signing.

  Throws:
    `java.security.NoSuchProviderException`
    `java.lang.SecurityException`
    `java.security.SignatureException`
    `java.security.InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD